Bug 197908 - Review Request: im-chooser - Input Method configuration tool
Review Request: im-chooser - Input Method configuration tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 182541
  Show dependency treegraph
 
Reported: 2006-07-07 01:11 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 01:27:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
im-chooser.spec-1.patch (2.14 KB, patch)
2006-07-10 00:55 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2006-07-07 01:11:03 EDT
Spec URL: http://people.redhat.com/tagoh/im-chooser/im-chooser.spec
SRPM URL: http://people.redhat.com/tagoh/im-chooser/im-chooser-0.2.0-1.src.rpm
Description:
im-chooser is a GUI configuration tool for Input Method that easily choose what you would use for your desktop.
Comment 1 Jens Petersen 2006-07-10 00:51:31 EDT
- rpmlint ok
- naming ok
! shouldn't use %makeinstall
- license is GPL and included in doc files
- md5sum is good
- builds fine on fc5 x86_64
- uses find_lang
! need desktop file and icon?
! doesn't build in mock:
checking for XML::Parser... configure: error: XML::Parser perl module is
required for intltool
! there seems to be a small bug in how it handles user-defined configs: if one
clicks on the selector showing "User defined", and then clicks somewhere else,
the selector changes to "scim" and a symlink to "User specific" is created.

I attach a spec file with some fixes.
Comment 2 Jens Petersen 2006-07-10 00:55:49 EDT
Created attachment 132157 [details]
im-chooser.spec-1.patch
Comment 3 Akira TAGOH 2006-07-10 06:35:53 EDT
Thanks. updated.

Spec URL: http://people.redhat.com/tagoh/im-chooser/im-chooser.spec
SRPM URL: http://people.redhat.com/tagoh/im-chooser/im-chooser-0.2.1-1.src.rpm

I can't reproduce the last comment however. if you have the exact steps to
reproduce it, it would be appreciated.
Comment 4 Jens Petersen 2006-07-10 07:28:16 EDT
(In reply to comment #3)
> I can't reproduce the last comment however. if you have the exact steps to
> reproduce it, it would be appreciated.

Ok, I don't think it is a blocking issue (it needs to be a file
not a symlink to reproduce it btw) and by "clicks somewhere
else" I meant clicking away from the selector to cancel any change
or clicking on "User defined" ("User specific").
Comment 5 Jens Petersen 2006-07-10 07:54:15 EDT
I get this error now in mock:

Making all in po
make[2]: Entering directory `/builddir/build/BUILD/im-chooser-0.2.1/po'
file=`echo ja | sed 's,.*/,,'`.gmo \
  && rm -f $file &&  -o $file ja.po
/bin/sh: -o: command not found
make[2]: *** [ja.gmo] Error 127

Otherwise the package looks good.
Comment 6 Jens Petersen 2006-07-10 07:58:31 EDT
I think you need to BR gettext for msgfmt.
Comment 7 Jens Petersen 2006-07-10 08:18:24 EDT
Feel to import it into extras cvs for more eyes to see it.
This is an important package for i18n.
Comment 8 Jens Petersen 2006-07-10 08:39:34 EDT
Builds ok in mock on fc5 with BR gettext.
Comment 9 Jens Petersen 2006-07-10 09:25:15 EDT
Thanks for the import.  APPROVED.
Comment 10 Akira TAGOH 2006-07-11 01:27:52 EDT
imported and built into devel.

Note You need to log in before you can comment on or make changes to this bug.